Create orphan branch for auto-merge

Signed-off-by: Takashi Iwai <tiwai@suse.de>
diff --git a/BRANCHES b/BRANCHES
new file mode 100644
index 0000000..e7d6d05
--- /dev/null
+++ b/BRANCHES
@@ -0,0 +1,5 @@
+topic/tools
+stable/build
+# topic/modem-integrate
+# topic/hda-jack
+# topic/vt1732
diff --git a/auto-merge b/auto-merge
new file mode 100755
index 0000000..b97353b
--- /dev/null
+++ b/auto-merge
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+if [ ! -f BRANCHES ]; then
+    echo "No BRANCHES file"
+    exit 1
+fi
+
+git fetch -f stable
+
+while read r; do
+    case "$r" in
+    [a-z]*)
+        git merge $r
+        ;;
+    esac
+done < BRANCHES
+exit 0